/**
  *
  * description
  *
  * @version 1.0 from 20.01.2016
  * @author 
  */

  import java.io.IOException;
import java.math.BigInteger;
import java.util.Random;
public class TestRSA {
  
  public static void main(String[] args) {
    RSA rsa = new RSA();
    Key k1 = rsa.getPublicKey();
    Key k2 = rsa.getPrivateKey();
    System.out.println("Keys generiert");
    BigInteger i = BigInteger.valueOf(100);
    BigInteger j = k1.encrypt(i);
    BigInteger z = k2.encrypt(j);
    System.out.println(i.toString()+"\n"+j.toString()+"\n"+z.toString());
    System.out.println(k1.encrypt(k2.encrypt("Hallo Leute, dies ist ein langer Text")).trim());
  }
}
